
From: Adam Belay <ambx1@neo.rr.com>

# --------------------------------------------
# 03/11/15	ambx1@neo.rr.com	1.1448
# [PnPBIOS] read static resources on PnPBIOS init
# 
# The PnPBIOS specifications recommend that we read static (boot time)
# resources when the PnPBIOS driver is first initialized.  Because the
# PnPBIOS driver is not modular and can not be ran more than once per
# boot, it's safe to access the static resource data.  Many buggy
# BIOSes actually expect us to read from it first.  With this patch,
# the PnPBIOS driver will read static resources initially and then
# switch to dynamic mode when allocating resources for specific nodes.
# --------------------------------------------
#



 drivers/pnp/pnpbios/core.c |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)

diff -puN drivers/pnp/pnpbios/core.c~pnp-fix-1 drivers/pnp/pnpbios/core.c
--- 25/drivers/pnp/pnpbios/core.c~pnp-fix-1	2003-11-15 23:03:03.000000000 -0800
+++ 25-akpm/drivers/pnp/pnpbios/core.c	2003-11-15 23:03:03.000000000 -0800
@@ -353,16 +353,8 @@ static void __init build_devlist(void)
 
 	for(nodenum=0; nodenum<0xff; ) {
 		u8 thisnodenum = nodenum;
-		/* eventually we will want to use PNPMODE_STATIC here but for now
-		 * dynamic will help us catch buggy bioses to add to the blacklist.
-		 */
-		if (!pnpbios_dont_use_current_config) {
-			if (pnp_bios_get_dev_node(&nodenum, (char )PNPMODE_DYNAMIC, node))
-				break;
-		} else {
-			if (pnp_bios_get_dev_node(&nodenum, (char )PNPMODE_STATIC, node))
-				break;
-		}
+		if (pnp_bios_get_dev_node(&nodenum, (char )PNPMODE_STATIC, node))
+			break;
 		nodes_got++;
 		dev =  pnpbios_kmalloc(sizeof (struct pnp_dev), GFP_KERNEL);
 		if (!dev)

_
